textures/esa/ksky
{
      qer_editorimage textures/esa/ksky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
      q3map_sunExt 248 232 190 450 130 55 3 16
      q3map_lightRGB 248 232 190 
      q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
      q3map_backsplash 0 0

        skyparms env/esa/ksky - -
 {
		map env/esa/ksky/kskyclouds.jpg
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
		
	}
}

textures/esa/skyblue 
{
      qer_editorimage textures/esa/skyblue
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
      q3map_sunExt 248 232 190 450 130 55 3 16
      q3map_lightRGB 248 232 190 
      q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
      q3map_backsplash 0 0

        skyparms env/esa/skyblue - -
 {
		map env/esa/skyblue/skybluelight.jpg  
		tcMod scale 3 3
		//tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
		
	}
}

textures/shadermanual/sky
{
	skyparms textures/shaderlab_terrain/env/sky 1024 -

	q3map_lightImage textures/shaderlab_terrain/sky_clouds.tga

	q3map_sunExt 1 1 1 140 -35 25 3 16
	q3map_lightmapFilterRadius 0 8		//self other
	q3map_skyLight 100 3

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	qer_editorimage textures/shaderlab_terrain/sky_clouds.tga

	{
		map textures/shaderlab_terrain/sky_clouds.tga
		tcMod scale 3 3
		//tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/shaderlab_terrain/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}




textures/esa/skynight 
{
    qer_editorimage textures/esa/skynight/skynight_ft.jpg
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture    
    surfaceparm sky
    q3map_skylight 10 1
    skyparms textures/esa/skynight/skynight - -
}


//drapeau pinup
textures/esa/pinup
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
    sort banner


	{ 
   		
        map textures/esa/pinup.jpg
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite   
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen vertex
	}


}

textures/esa/d_blue2
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	  deformVertexes wave 100 sin 0 3 0 .7
        //deformVertexes normal 0.2 2
	  sort banner
        {
                map textures/esa/d_blue.jpg
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

//drapeau bleu
textures/esa/d_blue
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
    	sort banner
	{ 
        	map textures/esa/d_blue.jpg
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
//   		depthwrite   
		rgbGen vertex
	} 
//	{
//		map $lightmap 
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//		rgbGen vertex
//	}
}

textures/esa/d_red2
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/esa/d_red.jpg
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}


//drapeau rouge
textures/esa/d_red
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
    sort banner
	{ 
   		
        map textures/esa/d_red.jpg
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
//   		depthwrite   
		rgbGen vertex
	} 
//	{
//		map $lightmap 
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//		rgbGen vertex
//	}
}

textures/esa/dirt_mirror
{
	nopicmip
	qer_editorimage textures/esa/dirt_mirror.jpg
	surfaceparm nolightmap
	portal
	{
		map textures/esa/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
    {
        map textures/esa/dirt_mirror.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }

}


textures/esa/glass_blue
{
	qer_editorimage textures/esa/glass_blue
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/glass/blueglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/esa/Light_flare
{
    deformVertexes autosprite
    surfaceparm   trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight   3000   
	cull none

   {
		map textures/ut/ut_suburb3/corona_red.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identityLighting
   }

}

textures/esa/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}